Skip to main content

Get a specific OAuth2 client

GET/v2/oauth2/clients/{oauthClientId}/
API version
v2
Request method
GET
Operation ID
contributor-get-oauth-client

Request

  • oauthClientIdstring
    required

Responses

Format
application/json
Description

Get a specific OAuth client.

  • allowedGrantTypesarray of string
    • Array[
      • *string
      ]
  • allowedRedirectUrisarray of string (uri)
    • Array[
      • *string (uri)
      ]
  • allowedScopesarray of string
    • Array[
      • *string
      ]
  • descriptionstring
  • humanReadableNamestring
    required
  • idstring
    required
  • typestring (one of: public, confidential)

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/oauth2/clients/string